# __gnu_cxx::_Constant_unary_fun< _Result, _Argument > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Constant_unary_fun< _Result, _Argument >:

List of all members.

## Detailed Description

### template<class _Result, class _Argument>
struct __gnu_cxx::_Constant_unary_fun< _Result, _Argument >

Definition at line 260 of file ext/functional.

## Public Types

- typedef _Argument argument_type
- typedef _Result result_type

## Public Member Functions

- _Constant_unary_fun (const result_type &__v)
- const result_type & operator() (const _Argument &) const

## Public Attributes

- result_type _M_val

The documentation for this struct was generated from the following file:

- ext/functional